Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2
Class WSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.jaspersoft.jasperserver.ws.axis2.WSException

All Implemented Interfaces:
  java.io.Serializable

    public class WSException

extends java.lang.Exception

Author:
  gtoffoli
See Also:
  Serialized Form

Field Summary
`static int` | `EXPORT_ERROR`
`static int` | `FILL_ERROR`
`static int` | `GENERAL_ERROR`
`static int` | `GENERAL_ERROR2`
`static int` | `GENERAL_REQUEST_ERROR`
`static int` | `NO_ERROR`
`static int` | `REFERENCED_RESOURCE_NOT_FOUND`

Constructor Summary
`WSException(java.lang.Exception e)`
`WSException(int code, java.lang.String message)` Creates a new instance of WSException

Method Summary
`int` | `getErrorCode()`
`void` | `setErrorCode(int errorCode)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_ERROR

    public static final int NO_ERROR

See Also:
  Constant Field Values

### GENERAL_ERROR

    public static final int GENERAL_ERROR

See Also:
  Constant Field Values

### GENERAL_ERROR2

    public static final int GENERAL_ERROR2

See Also:
  Constant Field Values

### REFERENCED_RESOURCE_NOT_FOUND

    public static final int REFERENCED_RESOURCE_NOT_FOUND

See Also:
  Constant Field Values

### EXPORT_ERROR

    public static final int EXPORT_ERROR

See Also:
  Constant Field Values

### FILL_ERROR

    public static final int FILL_ERROR

See Also:
  Constant Field Values

### GENERAL_REQUEST_ERROR

    public static final int GENERAL_REQUEST_ERROR

See Also:
  Constant Field Values

Constructor Detail

### WSException

    public WSException(int code,
                       java.lang.String message)

  Creates a new instance of WSException

### WSException

    public WSException(java.lang.Exception e)

Method Detail

### getErrorCode

    public int getErrorCode()

### setErrorCode

    public void setErrorCode(int errorCode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.